/*
 * Copyright (c) 2005 Silicon Graphics, Inc.
 * All rights reserved.
 *
 *   Michael A. Raymond <mraymond@sgi.com>
 */

/*
 *  This file is part of the User Level Interrupt (ULI) library.
 *
 *  ULI is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  ULI is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with ULI; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */

#ifndef __ULI_H
#define __ULI_H

#include <sys/types.h>
#include <linux/uli.h>

extern void  ULI_block_intr(void *);
extern int   ULI_destroy(void *);
extern void  ULI_unblock_intr(void *);
extern void *ULI_register_irq(short, void(*)(void*), void *, unsigned int,
				  char *, int, int);
extern int   ULI_sleep(void *, int);
extern int   ULI_wakeup(void *, int);

#endif /* __ULI_H */
